const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const use_udev = b.option(
        bool,
        "use_udev",
        "link and use udev (Linux only. Default: false)",
    ) orelse false;

    const exe = b.addExecutable(.{
        .name = "yaes",
        .root_source_file = b.path("src/main.zig"),
        .target = target,
        .optimize = optimize,
    });

    const ljacklm_dep = b.dependency(
        "ljacklm",
        .{ .target = target, .optimize = optimize, .use_udev = use_udev },
    );
    exe.linkLibrary(ljacklm_dep.artifact("ljacklm"));

    b.installArtifact(exe);
}
